
<!-- Warning: This file has been autogenerated by tools/makedoc.py. Manual edits will be overwritten. -->
<html>
    <head>
        <title>freesmartphone.org Context Client Interface</title>
        <link rel="stylesheet" type="text/css" href="http://git.freesmartphone.org/?p=specs.git;a=blob_plain;f=html/style.css;hb=HEAD" />
    </head>
    <body>
    <div class="topbox">freesmartphone.org Framework DBus Interface Specification</div>


<h1>org.freesmartphone.Context.Client</h1><h2>Description</h2>
<p>The Context Client interface is being used by the  Context Manager to deliver environmental context updates.</p>
<h2>Namespace</h2>
<p><tt>org.freesmartphone.Context.Client</tt></p>
<h2>Methods</h2><ul>
<li><a href="#LocationUpdate">LocationUpdate</a></li>
</ul>
<h2>Signals</h2><i>None</i>
<h2>Properties</h2><i>None</i>
<h2>Errors</h2><i>None</i>
<h1>Methods</h1><h3><a name="LocationUpdate">LocationUpdate</a> ( a{sv}a{sv} )</h3>
<p><i>Description:</i> Called to deliver a location update. </p><h4>Parameters</h4><i>a{sv}: from</i><p>The new location information. </p><i>a{sv}: to</i><p>The new location information. </p>

    <hr/>
    <small>
    | Specified 2008-2012 by the <a href="http://www.freesmartphone.org">Freesmartphone.org</a> team. | Join us and discuss further drafts smartphones-standards (at) linuxtogo (dot) org
    </small>
    <hr/>
    </body>
</html>

